﻿---
title: Home
---

# `bottom`

A customizable cross-platform graphical process/system monitor for the terminal, supporting Linux, macOS, and Windows. Inspired by other tools like [gtop](https://github.com/aksakalli/gtop), [gotop](https://github.com/xxxserxxx/gotop), and [htop](https://github.com/htop-dev/htop).

---

This site serves as extended documentation for bottom alongside the [`README.md`](https://github.com/ClementTsang/bottom#readme).

!!! Warning

    Some areas of this site are still in progress and may be missing details.  Feel free to suggest/contribute changes!

## Installation

!!! Tip

    It's as good idea to first check out the [Support](support/official.md) page to see if your system is officially supported!

!!! Tip

    If you're facing some issues during/after installation, check out the [Troubleshooting](troubleshooting.md) page for some common problems and solutions.

To install bottom, refer to [the installation section of the `README.md`](https://github.com/ClementTsang/bottom#installation),
which contains a list of all the installation methods.

## Usage and configuration

The command to run bottom is `btm`.

You can refer to the [usage](usage/general-usage.md) pages for more details on using bottom (e.g. keybinds, some features, a general overview of what each widget does).

To configure bottom (e.g. how it behaves, how it looks, etc.) refer to the [command-line options page](configuration/command-line-options.md) for temporary settings, or [the config file page](configuration/config-file) for more permanent settings.

## Contribution

New contributors are always welcome! See the [contribution](contribution/issues-and-pull-requests.md) section for how to contribute to
bottom, whether it be filing issues, writing documentation, creating pull requests, etc.
